File: Wordpress.css

package info (click to toggle)
phpwiki 1.3.12p3-5etch1
  • links: PTS
  • area: main
  • in suites: etch
  • size: 16,956 kB
  • ctags: 21,608
  • sloc: php: 82,335; xml: 3,840; sh: 1,522; sql: 1,198; perl: 625; makefile: 562; awk: 28
file content (292 lines) | stat: -rw-r--r-- 6,039 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
/**
 * $Id: Wordpress.css,v 1.4 2005/01/26 20:49:32 uckelman Exp $
 *
 * PhpWiki's Portland style sheet based on the original Wiki
 *
 * Styles are kept to a minimum, so the page will mostly appear
 * according to the browser's default font settings.
 */

/* 
	Blue-Fade Theme 
	Modified 2004-01-20 by Alex King (http://www.alexking.org/)

	based on:
	Default WordPress by Dave Shea || http://mezzoblue.com
	Modifications by Matthew Mullenweg || http://photomatt.net
	This is just a basic layout, with only the bare minimum defined.
	Please tweak this and make it your own. :)
*/

/* This stuff was copied straight out of portland.css */

body {
  color : black;
  background : white;
}

img {
  border : 0 none;
}

.wiki-edithelp {
  font-size : smaller;
}

input.numeric {
  text-align: right;
}

/* Mozilla RecentChanges Sidebar */
body.sidebar {
  font-size: smaller;
  margin: 0.5em;
}
body.sidebar div.wikitext ul { padding-left: 1em; }
body.sidebar h2 { margin-top: 0; }

/* End of stuff copied from portland.css */


/* This stuff was added to get the "look" right, and wasn't part of the
 * goal to match WordPress.  If you're changing the WordPress styles, these
 * items don't have a WordPress equivalent, so you might be able to leave them
 * as-is.  */

.wikitext .wiki, .wikitext .named-wiki {
        font-weight: bold;
}

.wikitext {
        margin: 30px 13em 0 3em;
        padding-right: 20px;
}

.cal-hide {
        color: #999;
}

.cal-hide, .cal-day a {
        font-size: smaller;
}

.cal-day a, .cal-hide a {
        font-weight: bold;
}

hr {
        border-bottom: 1px dotted #ccc;
        height: 0px;
}

/* End of stuff added for "look" */


/* This was copied (nearly verbatim) from a WordPress style.css */

body {
        background: #fff url(images/content-background.png) repeat-x;
        font-family: Verdana, Geneva, sans-serif;
        margin: 0;
        padding: 0;
        color: black;
}

a {
        color: #036;
        text-decoration: none;  /* This was added */
}
 
a:visited {
        color: #369;
}

a:hover {
        color: #69c;
}

#header {
        background: #036 url(images/header-background.png) repeat-x;
        border-bottom: 1px solid #69c;
        font: italic normal 230% 'Times New Roman', Times, serif;
        letter-spacing: 0.2em;
        margin: 0;
        padding: 15px 10px 15px 30px;
        color: #69c; /* added for subpage headings */
}

#header a {
        color: #fff;
        text-decoration: none;
}

#header a:hover {
        text-decoration: underline;
}

/* End of stuff copied (almost) verbatim */


/* The remainder of this file contains things that "sort-of" had equivalents
 * between WordPress and PhpWiki.  See comments for specifics.  */

/* All PhpWiki #actionbar items are from WordPress #menu items */
#actionbar {
        background: #e8e8e8 url(images/menu-background.png) repeat-x;
        border-left: 1px solid #9cf;
        border-bottom: 1px solid #9cf;
        padding: 30px 0 20px 20px;
        position: absolute;
        right: 0;
        top: 0;
        width: 11em;
}

#actionbar form {
        margin: 0;
}

#actionbar input {
        width: 80%;
}

/* Genericize it a little for other input fields */
input {
        background: #fff;
        border: 1px solid #999;
/*        width: 80%; */
        font-size: smaller;
}

#actionbar ul {
        color: #369;
        font-weight: bold;
        list-style-type: none;
        margin: 0;
        padding-left: 3px;
}

#actionbar ul li {
        font: italic normal 100% 'Times New Roman', Times, serif;
        letter-spacing: 100%;
        margin-top: 10px;
        padding-bottom: 2px; /*border-bottom: dotted 1px #ccc;*/
}

#actionbar ul ul {
        list-style-type: none;
        font-variant: normal;
        font-weight: normal;
        line-height: 100%;
        margin: 0;
        padding: 0;
        text-align: left;
}

#actionbar ul ul li {
        border: 0;
        font: normal 70% Verdana, sans-serif;
        letter-spacing: 100%;
        margin-top: 0;
        padding: 0 0 1px 12px;
}

#actionbar ul ul li a {
        color: #036;
        text-decoration: none;
}

#actionbar ul ul li a:hover {
        border-bottom: 1px solid #69c;
}


/* All PhpWiki .cal items are from WordPress #wp-calendar items */
.cal {
        background: #fff;
        border: 1px solid #ddd;
        empty-cells: show;
/*        font-size: 14px; */
        margin: 0 0 0 -5px;
/*        width: 90%; */
}

.cal a {
        /* display: block; */
        text-decoration: none;
        font: normal;
}

.cal a:hover {
        background: #e8e8e8;
        color: #333;
}

.cal-header, .cal-dayname td {
        color: #999;
/*        font: normal 11px Verdana, Geneva, sans-serif; */
        padding: 1px 1px;
/*        text-align: right; */
}

/* from wp-calendar th  (with changes) */
.cal-dayname td {
        font-size: smaller;
        color: #69c;
}

.cal td.pad:hover {
        background: #fff;
}

.cal td:hover, .cal-today {
        background: #e8e8e8;
        color: #666;
}

/* from #wp-calendar th */
.cal-header {
        color: #69c;
        font-style: normal;
        text-transform: capitalize;
}

th.gridbutton {
  background: #e8e8e8 url(images/menu-background.png) repeat-x;
  color: black;
  font-family: Tahoma, sans-serif, Arial, Helvetica;
  font-size: small;
  font-weight: normal;
  /*font-style: menu;*/
  margin: 5px 0px;
  max-height: 24px;
  white-space: nowrap;
  padding: 5px 0px 5px 0px;
  border-width: 1px;
  border-style: solid;
  border-color: threedhighlight threeddarkshadow threeddarkshadow threedhighlight;
}
input.gridbutton, a.gridbutton, a:hover.gridbutton, a:visited.gridbutton {
  text-decoration: none;
  font-size: small;
  font-weight: normal;
  font-family: Tahoma, sans-serif, Arial, Helvetica;
  color: black;
}

.wikipaging { 
  font-size: x-small;
}

.toolbar {
  padding: 0;
  margin:  0;
}
.edit-toolbar {
  padding: 0;
  margin:  0;
}
.edit-toolbar img, .edit-toolbar input {
  background-color: #fff;
  border: 1px solid ButtonFace;
}